Foreman - Feature #29464

Receptor installation playbook job invocation page shows entered password in plaintext (text input)
Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Templates

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1814752 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7559,

https://github.com/theforeman/communit

y-templates/pull/715
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1814752

Description of problem:

When running the playbook "Configure Cloud Connector", when entering parameters, there is text input "satellite_password". It's not
hidden in asterisks, it's plaintext. Users usually expect password fields to be of type password, not text.

Version-Release number of selected component (if applicable):

6.7 snap 16, NOT regression

How reproducible:
Deterministic

Steps to Reproduce:

1. Hosts -> Job Templates

2. Run template Configure Cloud Connector
3. Start typing in field satellite_password

Actual results:
The entered password is visible

Expected results:
The entered password is hidden as passwords usually are

Related issues:

Related to Foreman Remote Execution - Bug #29793: 3.2.0 is not compatible wit... Closed

Associated revisions

Revision 5059cd45 - 04/03/2020 01:49 PM - Marek Hulan

Fixes #29464 - plain inputs can be hidden

Some inputs can be sensitive. Users typing such values would prefer to
have the value hidden in the form. The sensitive information can be a
password, private key or general multiline text. Therefore we aren't

limitting the input to type=password, but use text area with hiding
font, similarly to what we do for parameters.

Revision 6203de0e - 04/03/2020 01:54 PM - Marek Hulan
Refs #29464 - hide the password value in CCC playbook

History

#1 - 04/02/2020 07:52 PM - Marek Hulan

- Tracker changed from Bug to Feature
https://bugzilla.redhat.com/show_bug.cgi?id=1814752

- Assignee set to Marek Hulan

This is a generic request to make sensitive inputs hidden in the form, shared for all kind of templates that accept user inputs

#2 - 04/02/2020 08:00 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7559 added

#3 - 04/02/2020 08:00 PM - The Foreman Bot
- Pull request https://github.com/theforeman/community-templates/pull/715 added

#4 - 04/03/2020 01:49 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 04/03/2020 02:01 PM - Marek Hulan
- Status changed from Ready For Testing to Closed

Applied in changeset 5059cd455100213c24737341de6b58f1bb21d2ac.

#6 - 05/13/2020 02:43 PM - Amit Upadhye

- Category set to Templates

#7 - 05/13/2020 07:31 PM - Anonymous
- Related to Bug #29793: 3.2.0 is not compatible with Foreman 2.0 added
